Subject: RE: Changes to IPv6 Addressing Architecture Draft

From: "Sellers, Julian P" <[email-masked]>
Date: Mon, 12 Aug 2002 16:31:12 -0500

Bob Hinden wrote:
> 
> Change to second sentence in the first paragraph of section 2.5.1:
> 
>   Interface identifiers in IPv6 unicast addresses are used to identify
>   interfaces on a link.  They are required to be unique within a subnet  |
>   prefix.  They may also be unique over a broader scope.  In some cases  |
>   an interface's identifier will be derived directly from that
>   interface's link-layer address.  The same interface identifier may be
>   used on multiple interfaces on a single node, as long as they are
>   attached to different links.

The last sentence of the paragraph is no longer correct.  The addresses
<prefix-a>::1 and <prefix-b>::1 can be on the same link and even on the same
interface.  In addition, I see no need for the two sentences that precede
that sentence or for the paragraph that follows it.

Appendix A needs changes also.  Under the heading "Links without
Identifiers", I find five references to link-unique interface IDs instead of
subnet-prefix-unique interface IDs.

Julian
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Bob Hinden <[email-masked]>
Date: Mon, 12 Aug 2002 16:04:44 -0700

Julian,

Thanks for catching this.  I will fix this before publishing a new ID.

Bob